summaryrefslogtreecommitdiffstats
path: root/source/y
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/y
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/y')
-rw-r--r--source/y/FTBFSlog5
-rwxr-xr-xsource/y/bsd-games/bsd-games.SlackBuild26
-rw-r--r--source/y/bsd-games/bsd-games.sail.no.union_wait.diff11
-rw-r--r--source/y/bsd-games/slack-desc16
4 files changed, 42 insertions, 16 deletions
diff --git a/source/y/FTBFSlog b/source/y/FTBFSlog
new file mode 100644
index 000000000..5c5931020
--- /dev/null
+++ b/source/y/FTBFSlog
@@ -0,0 +1,5 @@
+Sun Apr 8 17:57:10 UTC 2018
+ Patched sail to fix use of deprecated (by newer glibc) "union wait".
++--------------------------+
+Sun Feb 4 19:07:38 UTC 2018
+ The bsd-games package has been tested, and properly builds from source.
diff --git a/source/y/bsd-games/bsd-games.SlackBuild b/source/y/bsd-games/bsd-games.SlackBuild
index 63f4b452e..3bfe9103c 100755
--- a/source/y/bsd-games/bsd-games.SlackBuild
+++ b/source/y/bsd-games/bsd-games.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,23 +20,32 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=bsd-games
VERSION=${VERSION:-2.13}
-BUILD=${BUILD:-12}
+BUILD=${BUILD:-13}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-bsdgames
rm -rf $PKG
@@ -55,6 +64,7 @@ zcat $CWD/bsd-games.strfile.8.diff.gz | patch -p1 --backup --suffix=.orig || exi
zcat $CWD/bsd-games.trek-gcc4.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
zcat $CWD/bsd-games.phantasia_install_fix.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
zcat $CWD/bsd-games.getline.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+zcat $CWD/bsd-games.sail.no.union_wait.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
# Fix typos in the quote database:
for typofix in $CWD/fortune-fixes-sorry-no-additions-accepted-here/* ; do
@@ -73,9 +83,9 @@ zcat $CWD/bsd-games.pom.diff.gz | patch -p1 --verbose || exit 1
cp fortune/datfiles/unamerican-o.real fortune/datfiles/unamerican-o.fake
cp fortune/datfiles/unamerican-o.real unamerican-o
( cd fortune/datfiles ; strfile unamerican-o unamerican-o.dat )
-make
+make || exit 1
# Does this go to $PKG? I am perplexed.
-make install
+make install || exit 1
mkdir -p $PKG/usr/doc/bsd-games-$VERSION
cp -a \
@@ -128,7 +138,7 @@ chmod 644 $PKG/var/lib/bsdgames/phantasia/characs
mkdir -p $PKG/install
cat << EOF > $PKG/install/doinst.sh
-#!/bin/sh
+#!/bin/bash
config() {
NEW="\$1"
OLD="\$(dirname \$NEW)/\$(basename \$NEW .new)"
diff --git a/source/y/bsd-games/bsd-games.sail.no.union_wait.diff b/source/y/bsd-games/bsd-games.sail.no.union_wait.diff
new file mode 100644
index 000000000..4ce9613e0
--- /dev/null
+++ b/source/y/bsd-games/bsd-games.sail.no.union_wait.diff
@@ -0,0 +1,11 @@
+--- ./sail/pl_1.c.orig 2001-02-07 18:18:24.000000000 -0600
++++ ./sail/pl_1.c 2018-04-08 12:55:44.967250171 -0500
+@@ -133,7 +133,7 @@
+ void
+ child(int n __attribute__((__unused__)))
+ {
+- union wait status;
++ int status;
+ int pid;
+
+ signal(SIGCHLD, SIG_IGN);
diff --git a/source/y/bsd-games/slack-desc b/source/y/bsd-games/slack-desc
index 632625f66..75ad2589a 100644
--- a/source/y/bsd-games/slack-desc
+++ b/source/y/bsd-games/slack-desc
@@ -1,18 +1,18 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
bsd-games: bsd-games (Classic BSD text games collection)
bsd-games:
-bsd-games: Games that go in /usr/games: adventure arithmetic atc backgammon
-bsd-games: banner battlestar bcd caesar canfield cfscores countmail cribbage
-bsd-games: factor fish fortune gomoku hangman hunt mille monop morse number
-bsd-games: phantasia pig pom ppt primes quiz rain random robots rot13 sail
-bsd-games: snake snscore teachgammon trek wargames worm worms wump
+bsd-games: Games that go in /usr/games: adventure arithmetic atc backgammon
+bsd-games: banner battlestar bcd caesar canfield cfscores countmail cribbage
+bsd-games: factor fish fortune gomoku hangman hunt mille monop morse number
+bsd-games: phantasia pig pom ppt primes quiz rain random robots rot13 sail
+bsd-games: snake snscore teachgammon trek wargames worm worms wump
bsd-games:
bsd-games: Adds a call to 'fortune' to /etc/profile.d/ so that users will get a
bsd-games: fortune message when they log in.